Description

Supportanfrage

cBasIODevice and cSerialDevice are missing in ADTF 3.x.

Where can I find them or are there any alternatives ?

Lösung

They are not part of ADTF 3.x anymore and there are no pendants, you have to make use of global C++ solutions.

As a workaround we attached the implementations from ADTF 2.x, which you can be used or adapted.

Please keep in mind that they might not work out of the box, especially cBasIODevice.

But will be a good start for your own implementation, without support to work as mentioned.

History

#1 - 2021-06-04 08:12 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Customer set to VW

- Department set to IAV

- Topic set to ADTF::SDK

#4 - 2021-06-07 06:32 - hidden

Hi Erik,

nein, da gibt's leider nix.

@Flo, ist es ok wenn ich Erik die Implementierung des cSerialDevice aus ADTF2 schicke?

Grüße,

Martin

#6 - 2021-06-07 08:14 - hidden

Hallo Martin,

ist es ok wenn ich Erik die Implementierung des cSerialDevice aus ADTF2 schicke?

 Können wir machen ja.

Siehe auch #14426

#7 - 2021-06-07 08:21 - hidden

- File serialdevice.cpp added

- File serialdevice.h added
- File library_includes_windows.h added

Hi Erik,

ich hab dir die Dateien angehängt.

Gib Bescheid ob du damit zurecht kommst.

Grüße,

Martin

#9 - 2021-06-08 16:58 - hidden

- Status changed from In Progress to Customer Feedback Required

#10 - 2021-06-09 06:07 - hidden

- File iodevice.cpp added

- File iodevice.h added

- File iodevicefilter.cpp added

- File iodevicefilter.h added

@Flo ich hab die io-device filter/device Implementierungen auch noch angehängt, die kann man aber nicht 1:1 in adtf3 übernehmen.

#11 - 2021-06-10 06:14 - hidden

- Private changed from No to Yes

#13 - 2021-06-10 08:35 - hidden

- Project changed from 20 to Public Support

- Subject changed from ADTF3 cSerialDevice to cSerialDevice is missing in ADTF 3.x

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope

#14 - 2021-06-10 08:35 - hidden

- Status changed from To Be Closed to Closed

#15 - 2021-06-10 08:41 - hidden

- Subject changed from cSerialDevice is missing in ADTF 3.x to cBasIODevice and cSerialDevice are missing in ADTF 3.x

- Description updated

Files

serialdevice.cpp 15.7 KB 2021-06-07 hidden

serialdevice.h 4.33 KB 2021-06-07 hidden

library_includes_windows.h 1.3 KB 2021-06-07 hidden

iodevice.cpp 3.29 KB 2021-06-09 hidden

iodevice.h 3.75 KB 2021-06-09 hidden

iodevicefilter.cpp 12.6 KB 2021-06-09 hidden

iodevicefilter.h 6.72 KB 2021-06-09 hidden
